using System;

namespace Server.Items
{
	public class RefreshTile : Item
	{
		[Constructable]
		public RefreshTile() : base( 6178 )
		{
			Visible = false;
			Movable = false;
			Hue = 0x0;
			Name = "a refresh tile";
		}

		public RefreshTile( Serial serial ) : base( serial )
		{
		}

		public override bool OnMoveOver( Mobile m )
		{
			
				m.PlaySound( 0x214 );
				m.FixedEffect( 0xF0B, 10, 16 );
                                                  m.Hits = m.HitsMax ;
                                                  m.Mana = m.ManaMax ;
                                                  m.Stam = m.StamMax ;
				m.SendMessage( "You feel completely refreshed!" );
			
			
			return true;
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}